Index: trunk/client/modules/Elezioni/blocchi/off_Votanti.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/off_Votanti.php	(revision 264)
+++ trunk/client/modules/Elezioni/blocchi/off_Votanti.php	(revision 265)
@@ -22,8 +22,14 @@
 #	$numero=mysql_num_rows($res);
 #	$res = mysql_query("select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
-  	$res = mysql_query("select t3.*  from ".$prefix."_ele_voti_".$tab." as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' $circos  group by t3.id_sez ",$dbi);
-	$numero=mysql_num_rows($res);
-	$res = mysql_query("select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos",$dbi);
-	$sezioni=mysql_num_rows($res);
+  	$sql="select t3.*  from ".$prefix."_ele_voti_".$tab." as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' $circos  group by t3.id_sez ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	$numero=$res->rowCount();
+	$sql="select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	$sezioni=$res->rowCount();
 	
 	if ($numero!=0){
@@ -36,18 +42,27 @@
 
 
-	$res1 = mysql_query("SELECT sum(t1.maschi+t1.femmine) FROM ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos",$dbi);
-	list($tot_aventi)  = mysql_fetch_row($res1);
+	$sql="SELECT sum(t1.maschi+t1.femmine) FROM ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos";
+	$resl = $dbi->prepare("$sql");
+	$resl->execute();
+
+	list($tot_aventi)  = $res1->fetch(PDO::FETCH_NUM);
 	if ($genere!=0) {
 
-		$res1 = mysql_query("SELECT sum(t1.validi+t1.nulli+t1.bianchi+t1.contestati) as tot,
+		$sql="SELECT sum(t1.validi+t1.nulli+t1.bianchi+t1.contestati) as tot,
 		sum(t1.validi),sum(t1.nulli),sum(t1.bianchi),sum(t1.contestati), '0'
-		from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons=$id_cons $circos having tot>0",$dbi);
+		from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons=$id_cons $circos having tot>0";
+	$resl = $dbi->prepare("$sql");
+	$resl->execute();
+
 	}else{
-		$res1 = mysql_query("SELECT sum(validi+nulli+bianchi+contestati) as tot,
+		$sql="SELECT sum(validi+nulli+bianchi+contestati) as tot,
 		sum(validi),sum(nulli),sum(bianchi),sum(contestati), id_gruppo
-		from ".$prefix."_ele_voti_ref  where id_cons=$id_cons group by id_gruppo having tot>0",$dbi);
+		from ".$prefix."_ele_voti_ref  where id_cons=$id_cons group by id_gruppo having tot>0";
+	$resl = $dbi->prepare("$sql");
+	$resl->execute();
+
 	}
 
-	while  (list($tot_votanti,$validi,$nulli,$bianchi,$contestati,$id)  = mysql_fetch_row($res1)){
+	while  (list($tot_votanti,$validi,$nulli,$bianchi,$contestati,$id)  = $res1->fetch(PDO::FETCH_NUM)){
 		$tot_votanti=$validi+$bianchi+$nulli+$contestati;
 		$perc_validi=number_format($validi*100/$tot_votanti,2);
@@ -60,6 +75,9 @@
 
 		if ($genere==0) {
-			$res = mysql_query("SELECT num_gruppo,descrizione from ".$prefix."_ele_gruppo where id_gruppo=$id",$dbi);
-			list($num_gruppo,$descr_gruppo)  = mysql_fetch_row($res);
+			$sql="SELECT num_gruppo,descrizione from ".$prefix."_ele_gruppo where id_gruppo=$id";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+			list($num_gruppo,$descr_gruppo)  = $res->fetch(PDO::FETCH_NUM);
 		}
 		  
Index: trunk/client/modules/Elezioni/blocchi/pie_affluenze.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/pie_affluenze.php	(revision 264)
+++ trunk/client/modules/Elezioni/blocchi/pie_affluenze.php	(revision 265)
@@ -21,11 +21,17 @@
 // numero sezioni scrutinate
 
-		$res2 = mysql_query("select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos",$dbi);
-		$sezioni=mysql_num_rows($res2);
+		$sql="select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos";
+	$res2 = $dbi->prepare("$sql");
+	$res2->execute();
 
-    $res = mysql_query("select orario,data  from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' order  by data desc,orario desc limit 1", $dbi);
+		$sezioni=$res2->fetch(PDO::FETCH_NUM);
+
+    $sql="select orario,data  from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' order  by data desc,orario desc limit 1";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
     if($res){
 
-        while(list($orario,$data) = mysql_fetch_row($res)) {
+        while(list($orario,$data) = $res->fetch(PDO::FETCH_NUM)) {
         	list ($ore,$minuti,$secondi)=explode(':',$orario);
         	list ($anno,$mese,$giorno)=explode('-',$data);
@@ -33,6 +39,9 @@
 	
 
-  		$res1 = mysql_query("select t3.*  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos  group by t3.id_sez ",$dbi);
-		$numero=mysql_num_rows($res1);
+  		$sql="select t3.*  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos  group by t3.id_sez ";
+	$resl = $dbi->prepare("$sql");
+	$resl->execute();
+
+		$numero=$res1->rowCount();
 	
 		echo "<h5>Ultime Affluenze</h5>";
@@ -44,7 +53,13 @@
 #		$res1 = mysql_query("select sum(t1.voti_complessivi), t2.num_gruppo , t2.id_gruppo from ".$prefix."_ele_voti_parziale as t1 left join ".$prefix."_ele_gruppo as t2 on (t1.id_gruppo=t2.id_gruppo) where t1.id_cons='$id_cons' and t1.orario='$orario' and t1.data='$data' group by t2.num_gruppo,t2.id_gruppo order by t2.num_gruppo " , $dbi);
 #modifica del 26giugno 09 per gestione circoscrizionali
-if($genere==0)		$res1 = mysql_query("select sum(t1.voti_complessivi), t2.num_gruppo , t2.id_gruppo from ".$prefix."_ele_voti_parziale as t1 left join ".$prefix."_ele_gruppo as t2 on (t1.id_gruppo=t2.id_gruppo) where t1.id_cons='$id_cons' and t1.orario='$orario' and t1.data='$data' group by t2.num_gruppo,t2.id_gruppo order by t2.num_gruppo " , $dbi);
-else
-  		$res1 = mysql_query("select sum(t3.voti_complessivi),0,0  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos",$dbi);
+if($genere==0)	{	$sql="select sum(t1.voti_complessivi), t2.num_gruppo , t2.id_gruppo from ".$prefix."_ele_voti_parziale as t1 left join ".$prefix."_ele_gruppo as t2 on (t1.id_gruppo=t2.id_gruppo) where t1.id_cons='$id_cons' and t1.orario='$orario' and t1.data='$data' group by t2.num_gruppo,t2.id_gruppo order by t2.num_gruppo " ;
+	$resl = $dbi->prepare("$sql");
+	$resl->execute();
+
+		}else{
+  		$sql="select sum(t3.voti_complessivi),0,0  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";
+	$resl = $dbi->prepare("$sql");
+	$resl->execute();
+		}
 #fine modifica
                                                                                                                                       
@@ -53,16 +68,20 @@
 		
                                                                                                                              
-                while(list($voti_t, $num_gruppo,$id_gruppo) = mysql_fetch_row($res1)) {
+                while(list($voti_t, $num_gruppo,$id_gruppo) = $res1->fetch(PDO::FETCH_NUM)) {
 
-			$query="select sum(t3.voti_complessivi)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
+			$sql="select sum(t3.voti_complessivi)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
                 	if ($genere==0){$query.=" and t3.id_gruppo=$id_gruppo";}
-                	$res_aff=mysql_query($query, $dbi);
-			$voti_numero=mysql_num_rows($res_aff);
+			$res_aff = $dbi->prepare("$sql");
+			$res_aff->execute();
+
+			$voti_numero=$res_aff->rowCount();
               	
-			$query="select sum(t1.maschi+t1.femmine)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
+			$sql="select sum(t1.maschi+t1.femmine)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
 			
 			if ($genere==0){$query.=" and id_gruppo=$id_gruppo";}
-                	$res1234=mysql_query($query, $dbi);
-                	list($tot)=mysql_fetch_row($res1234);
+	$res1234 = $dbi->prepare("$sql");
+	$res1234->execute();
+
+                	list($tot)=$res1234->fetch(PDO::FETCH_NUM);
                 	if ($tot)
 			    $perc=number_format($voti_t*100/$tot,2);
Index: trunk/client/modules/Elezioni/candidato.php
===================================================================
--- trunk/client/modules/Elezioni/candidato.php	(revision 264)
+++ trunk/client/modules/Elezioni/candidato.php	(revision 265)
@@ -28,6 +28,9 @@
 
   # numero sezioni
-  $sql = mysql_query("select * from ".$prefix."_ele_sezioni where id_cons='$id_cons' ",$dbi);
-  $sezioni = mysql_num_rows($sql);
+  $sql = "select * from ".$prefix."_ele_sezioni where id_cons='$id_cons' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+  $sezioni = $res->rowCount();
 
 
@@ -125,8 +128,12 @@
 	# conta il numero dei candidati
 	if  ($circo=="1"){
-	  $res = mysql_query("select id_lista from ".$prefix."_ele_lista where id_cons='$id_cons' and id_circ='$id_circ'", $dbi);
-	  while(list($id_lista2) = mysql_fetch_row($res)){
-		$res2 = mysql_query("select id_cand from ".$prefix."_ele_candidati where id_lista='$id_lista2'  and cognome like \"$lettera%\"", $dbi);
-		while(list($id_cand2) = mysql_fetch_row($res2)){
+	  $sql="select id_lista from ".$prefix."_ele_lista where id_cons='$id_cons' and id_circ='$id_circ'";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+	  while(list($id_lista2) = $res->fetch(PDO::FETCH_NUM)){
+		$sql="select id_cand from ".$prefix."_ele_candidati where id_lista='$id_lista2'  and cognome like \"$lettera%\"";
+		$res2 = $dbi->prepare("$sql");
+		$res2->execute();
+		while(list($id_cand2) = $res2->fetch(PDO::FETCH_NUM)){
 			$max=$max+1;
 		}
@@ -135,6 +142,8 @@
 	}else{
 	
-	$res = mysql_query("SELECT id_cons FROM ".$prefix."_ele_candidati where id_cons='$id_cons' and cognome like \"$lettera%\"  ", $dbi);
-    if($res)	$max = mysql_num_rows($res);
+	$sql="SELECT id_cons FROM ".$prefix."_ele_candidati where id_cons='$id_cons' and cognome like \"$lettera%\"  ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+    if($res)	$max = $res->rowCount();
 	
 	}
@@ -158,14 +167,18 @@
 	
 	if ($ordine=="id_gruppo") $ordine="id_lista";    
-	$result = mysql_query("select * from ".$prefix."_ele_candidati where id_cons='$id_cons'  and cognome like \"$lettera%\" order by  $ordine  LIMIT $min,$offset", $dbi);
-    	
-	
-	while(list($id_cand,$id_cons2,$id_lista, $cognome, $nome, $note,, $num_cand) = mysql_fetch_row($result)) {
+	$sql="select * from ".$prefix."_ele_candidati where id_cons='$id_cons'  and cognome like \"$lettera%\" order by  $ordine  LIMIT $min,$offset";
+ 	$result = $dbi->prepare("$sql");
+	$result->execute();
+   	
+	
+	while(list($id_cand,$id_cons2,$id_lista, $cognome, $nome, $note,, $num_cand) = $result->fetch(PDO::FETCH_NUM)) {
         if ($circo=="1") $circos=" and id_circ='$id_circ'";else $circos='';// per circosc 5-06
         	// dati lista
-		$res01 = mysql_query("select descrizione,id_gruppo,id_circ from ".$prefix."_ele_lista where id_lista='$id_lista' $circos ", $dbi);
-		
-        	if ($circo=="1") list($descr_lista,$id_gruppo,$id_circ2)=mysql_fetch_row($res01);
-		else list($descr_lista,$id_gruppo,$id_circ_off)=mysql_fetch_row($res01);
+		$sql="select descrizione,id_gruppo,id_circ from ".$prefix."_ele_lista where id_lista='$id_lista' $circos ";
+		$res01 = $dbi->prepare("$sql");
+		$res01->execute();
+		
+        if ($circo=="1") list($descr_lista,$id_gruppo,$id_circ2)=$res01->fetch(PDO::FETCH_NUM);
+		else list($descr_lista,$id_gruppo,$id_circ_off)=$res01->fetch(PDO::FETCH_NUM);
 		
 		
@@ -173,6 +186,8 @@
 		
 		if ($genere!=4){
-		$res2 = mysql_query("select descrizione from ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo' ", $dbi);
-        	list($descr_gruppo)=mysql_fetch_row($res2);
+		$sql="select descrizione from ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo' ";
+		$res2 = $dbi->prepare("$sql");
+		$res2->execute();
+        	list($descr_gruppo)=$res2->fetch(PDO::FETCH_NUM);
 		
 		}
Index: trunk/client/modules/Elezioni/confronti.php
===================================================================
--- trunk/client/modules/Elezioni/confronti.php	(revision 264)
+++ trunk/client/modules/Elezioni/confronti.php	(revision 265)
@@ -53,6 +53,8 @@
 	$x++;
 }*/
-$res = mysql_query("SELECT t1.descrizione,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2, ".$prefix."_ele_tipo as t3 where t1.id_cons_gen=t2.id_cons_gen and t1.tipo_cons=t3.tipo_cons and t3.circo='0' and t3.genere>'2' and t2.id_comune='$id_comune' order by t1.data_fine,t1.descrizione", $dbi);
-if (mysql_num_rows($res)){
+$sql="SELECT t1.descrizione,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2, ".$prefix."_ele_tipo as t3 where t1.id_cons_gen=t2.id_cons_gen and t1.tipo_cons=t3.tipo_cons and t3.circo='0' and t3.genere>'2' and t2.id_comune='$id_comune' order by t1.data_fine,t1.descrizione";
+$res = $dbi->prepare("$sql");
+$res->execute();
+if ($res->rowCount()){
 	echo "<form id=\"cons\" action=\"modules.php\">";
 	echo "<table><tr><td>"
@@ -67,5 +69,5 @@
 		<tr><td align=\"center\" colspan=\"2\"><br/>"._SCELTA_CONS."</td></tr>";
 	$x=1;
-	while (list($descr_cons,$id_cons)= mysql_fetch_row($res)){
+	while (list($descr_cons,$id_cons)= $res->fetch(PDO::FETCH_NUM)){
 		echo "<tr><td>$descr_cons</td><td><input type=\"checkbox\" name=\"check$x\"/>";
 		echo "<input type=\"hidden\" name=\"cons$x\" value=\"$id_cons\"/>";
@@ -148,18 +150,28 @@
 	if($pag>=$pags) return(1); //in $pags il numero delle consultazioni
 	$id_cons2=$_SESSION['confr'][$pag];
-	$res_lis = mysql_query("SELECT t1.descrizione,t1.tipo_cons,t2.id_conf from ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons='$id_cons2'",$dbi);
-	list($descr,$tipoc,$legge)=mysql_fetch_row($res_lis);
+	$sql="SELECT t1.descrizione,t1.tipo_cons,t2.id_conf from ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons='$id_cons2'";
+	$res_lis = $dbi->prepare("$sql");
+	$res_lis->execute();
+
+	list($descr,$tipoc,$legge)=$res_lis->fetch(PDO::FETCH_NUM);
 	if($legge){
-		$res_l=mysql_query("SELECT limite from  ".$prefix."_ele_conf where id_conf='$legge'",$dbi);
-		list($limite)=mysql_fetch_row($res_l);
+		$sql="SELECT limite from  ".$prefix."_ele_conf where id_conf='$legge'";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+
+		list($limite)=$res->fetch(PDO::FETCH_NUM);
 	}
 if($tipoc==3 and $fascia<=$limite){
 	$_SESSION['grulis'][$id_cons2]='1';
-	$res_lis = mysql_query("SELECT t2.id_gruppo,t1.descrizione,t2.descrizione from ".$prefix."_ele_lista as t1 left join ".$prefix."_ele_gruppo as t2 on t1.id_gruppo=t2.id_gruppo where t1.id_cons='$id_cons2' order by t2.num_gruppo",$dbi);
+	$sql="SELECT t2.id_gruppo,t1.descrizione,t2.descrizione from ".$prefix."_ele_lista as t1 left join ".$prefix."_ele_gruppo as t2 on t1.id_gruppo=t2.id_gruppo where t1.id_cons='$id_cons2' order by t2.num_gruppo";
+
 }else{
-	$res_lis = mysql_query("SELECT t1.id_lista,t1.descrizione,t2.descrizione from ".$prefix."_ele_lista as t1 left join ".$prefix."_ele_gruppo as t2 on t1.id_gruppo=t2.id_gruppo where t1.id_cons='$id_cons2' order by t2.num_gruppo",$dbi);
+	$sql="SELECT t1.id_lista,t1.descrizione,t2.descrizione from ".$prefix."_ele_lista as t1 left join ".$prefix."_ele_gruppo as t2 on t1.id_gruppo=t2.id_gruppo where t1.id_cons='$id_cons2' order by t2.num_gruppo";
 	$_SESSION['grulis'][$id_cons2]='0';
 	}
-	$yy=mysql_num_rows($res_lis);
+$res_lis = $dbi->prepare("$sql");
+$res_lis->execute();
+
+	$yy=$res_lis->rowCount();
 	if ($yy){
 		echo "<form name=\"liste\" action=\"modules.php\">"
@@ -177,5 +189,5 @@
 		echo "</tr>";
 			$z=1;
-			while(list($id_lista,$descr,$gruppo) = mysql_fetch_row($res_lis)) {
+			while(list($id_lista,$descr,$gruppo) = $res_lis->fetch(PDO::FETCH_NUM)) {
 				$_SESSION['num_lista'.$z]=$id_lista;
 				echo "<tr><td>$gruppo</td><td>$descr</td>";
@@ -200,13 +212,21 @@
 $riga5="<tr align=\"center\"><td>"._VOTANTI."</td>";
 foreach($_SESSION['confr'] as $y=>$x){
-	$res= mysql_query("SELECT sum(maschi+femmine) from ".$prefix."_ele_sezioni where id_cons='$x'",$dbi);
-	list($elet)=mysql_fetch_row($res);
+	$sql="SELECT sum(maschi+femmine) from ".$prefix."_ele_sezioni where id_cons='$x'";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	list($elet)=$res->fetch(PDO::FETCH_NUM);
 	if($_SESSION['grulis'][$x]=='1')
-		$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_cons='$x'",$dbi);
+		$sql="SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_cons='$x'";
 	else
-		$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_cons='$x'",$dbi);
-	list($tot[$y])=mysql_fetch_row($res);
-	$res = mysql_query("SELECT t1.descrizione FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune='$id_comune' and t2.id_cons='$x'", $dbi);
-	list($descr)=mysql_fetch_row($res);
+		$sql="SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_cons='$x'";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	list($tot[$y])=$res->fetch(PDO::FETCH_NUM);
+	$sql="SELECT t1.descrizione FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune='$id_comune' and t2.id_cons='$x'";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	list($descr)=$res->fetch(PDO::FETCH_NUM);
 	$riga1.="<td>$descr</td>";
 	$riga5.="<td>".$tot[$y]."<br/>".number_format($tot[$y]*100/$elet)."%</td>";
@@ -342,24 +362,33 @@
 		foreach ($_SESSION['grp1'][$x] as $key=>$val){
 			if($_SESSION['grulis'][$id_cons2]=='1')
-				$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_gruppo='$val'",$dbi);
+				$sql="SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_gruppo='$val'";
 			else
-				$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_lista='$val'",$dbi);
-			list($voti)=mysql_fetch_row($res);
+				$sql="SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_lista='$val'";
+			$res = $dbi->prepare("$sql");
+			$res->execute();
+
+			list($voti)=$res->fetch(PDO::FETCH_NUM);
 			$ar1[$x]+=$voti;
 		}
 		foreach ($_SESSION['grp2'][$x] as $key=>$val){
 			if($_SESSION['grulis'][$id_cons2]=='1')
-				$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_gruppo='$val'",$dbi);
+				$sql="SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_gruppo='$val'";
 			else
-				$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_lista='$val'",$dbi);
-			list($voti)=mysql_fetch_row($res);
+				$sql="SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_lista='$val'";
+			$res = $dbi->prepare("$sql");
+			$res->execute();
+
+			list($voti)=$res->fetch(PDO::FETCH_NUM);
 			$ar2[$x]+=$voti;
 		}
 		foreach ($_SESSION['grp3'][$x] as $key=>$val){
 			if($_SESSION['grulis'][$id_cons2]=='1')
-				$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_gruppo='$val'",$dbi);
+				$sql="SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_gruppo='$val'";
 			else
-				$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_lista='$val'",$dbi);
-			list($voti)=mysql_fetch_row($res);
+				$sql="SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_lista='$val'";
+			$res = $dbi->prepare("$sql");
+			$res->execute();
+
+			list($voti)=$res->fetch(PDO::FETCH_NUM);
 			$ar3[$x]+=$voti;
 		}
Index: trunk/client/modules/Elezioni/crea_pagina.php
===================================================================
--- trunk/client/modules/Elezioni/crea_pagina.php	(revision 264)
+++ trunk/client/modules/Elezioni/crea_pagina.php	(revision 265)
@@ -21,6 +21,9 @@
 
 global $prefix,$dbi,$pdf,$csv,$xls,$lang,$descr_cons,$prefix,$dbi,$id_comune,$descrizione,$siteistat,$min,$offset,$minsez,$offsetsez,$datipdf,$orienta,$formato;
-$res = mysql_query("SELECT descrizione,simbolo,stemma FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ", $dbi);
-	list($descr_com,$simbolo,$stemma) = mysql_fetch_row($res);
+$sql="SELECT descrizione,simbolo,stemma FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	list($descr_com,$simbolo,$stemma) = $res->fetch(PDO::FETCH_NUM);
 
 
Index: trunk/client/modules/Elezioni/foto.php
===================================================================
--- trunk/client/modules/Elezioni/foto.php	(revision 264)
+++ trunk/client/modules/Elezioni/foto.php	(revision 265)
@@ -23,19 +23,27 @@
 if ($id_lista){
 	$sql = "select stemma from ".$prefix."_ele_lista where id_lista='$id_lista'";
-	$res = mysql_query($sql,$dbi);
-	list($stemma) = mysql_fetch_row($res);
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	list($stemma) = $res->fetch(PDO::FETCH_NUM);
 }elseif ($id_gruppo){
 	$sql = "select programma,stemma from ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
-	$res = mysql_query($sql,$dbi);
-	list($programma,$stemma) = mysql_fetch_row($res);
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	list($programma,$stemma) = $res->fetch(PDO::FETCH_NUM);
 	if(isset($pdf)) $stemma = $programma;
 }elseif ($id_sede){
 	$sql = "select mappa from ".$prefix."_ele_sede where id_sede='$id_sede'";
-	$res = mysql_query($sql,$dbi);
-	list($stemma) = mysql_fetch_row($res);
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	list($stemma) = $res->fetch(PDO::FETCH_NUM);
 }elseif ($id_comune){
 	$sql = "select stemma from ".$prefix."_ele_comuni where id_comune='$id_comune'";
-	$res = mysql_query($sql,$dbi);
-	list($stemma) = mysql_fetch_row($res);
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	list($stemma) = $res->fetch(PDO::FETCH_NUM);
 }else{
 die();
Index: trunk/client/modules/Elezioni/funzioni.php
===================================================================
--- trunk/client/modules/Elezioni/funzioni.php	(revision 264)
+++ trunk/client/modules/Elezioni/funzioni.php	(revision 265)
@@ -259,18 +259,27 @@
       
   
-	$res = mysql_query("select *  from ".$prefix."_$tab where id_cons='$id_cons' group by id_sez ",$dbi);
-	
-	if ($res) $numero=mysql_num_rows($res);else $numero=0;
-	$res = mysql_query("select t2.*  from ".$prefix."_ele_sezioni as t2, ".$prefix."_ele_sede as t1 where t2.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circondt1",$dbi);
-	if ($res) $sezioni=mysql_num_rows($res);else $sezioni=0;
+	$sql="select *  from ".$prefix."_$tab where id_cons='$id_cons' group by id_sez ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	
+	if ($res) $numero=$res->rowCount();else $numero=0;
+	$sql="select t2.*  from ".$prefix."_ele_sezioni as t2, ".$prefix."_ele_sede as t1 where t2.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circondt1";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	if ($res) $sezioni=$res->rowCount();else $sezioni=0;
 	if ($numero>0){
 		if ($genere!=0){
-			$restotv = mysql_query("select sum(voti)  from ".$prefix."_$tab where id_cons='$id_cons' ",  $dbi);
-			list($tot)  = mysql_fetch_row($restotv);
+			$sql="select sum(voti)  from ".$prefix."_$tab where id_cons='$id_cons' ";
+	$restotv = $dbi->prepare("$sql");
+	$restotv->execute();
+ 
+			list($tot)  = $restotv->fetch(PDO::FETCH_NUM);
 			$i=0;
 			// lista o gruppo
 			if ($genere!=4){
 				if ($votog){
-					$res = mysql_query("select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.voti) as somma
+					$sql="select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.voti) as somma
 					from ".$prefix."_ele_gruppo as t1,
 					".$prefix."_ele_voti_lista as t2,
@@ -280,22 +289,24 @@
 					and t1.id_gruppo=t3.id_gruppo
 					group by t1.id_gruppo
-					order by somma desc", $dbi);
+					order by somma desc";
 				}else{
-			        $res = mysql_query("select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.voti) as somma
+			        $sql="select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.voti) as somma
 					from ".$prefix."_ele_gruppo as t1
         			left join ".$prefix."_ele_voti_gruppo as t2 on (t1.id_gruppo=t2.id_gruppo)
 					where 	t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons $circondt1
 					group by t2.id_gruppo
-					order by somma desc", $dbi);
+					order by somma desc";
 			    }
 			}else{
-				$res = mysql_query("select t1.id_lista, t1.num_lista, t1.descrizione, sum(t2.voti) as somma
+				$sql="select t1.id_lista, t1.num_lista, t1.descrizione, sum(t2.voti) as somma
 				from ".$prefix."_ele_lista as t1
         		left join ".$prefix."_$tab as t2 on (t1.id_lista=t2.id_lista)
 				where 	t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons
 				group by t2.id_lista
-				order by somma desc", $dbi);
+				order by somma desc";
 			}
-				$gruppinum=mysql_num_rows($res);
+				$res = $dbi->prepare("$sql");
+				$res->execute();
+				$gruppinum=$res->rowCount();
 				$altrivoti=0;
 ###### gestione percentuali
@@ -303,11 +314,12 @@
 				$arval=array();
 				$arvaltot=0;
-				while (list($id,$num,$descrizione,$voti)  = mysql_fetch_row($res)){
+				while (list($id,$num,$descrizione,$voti)  = $res->fetch(PDO::FETCH_NUM)){
 					$arval[$id]=$voti;
 					$arvaltot+=$voti;
 				}
 				$arperc=arrayperc($arval,$arvaltot);
-				mysql_data_seek($res,0);
-				while (list($id,$num,$descrizione,$voti)  = mysql_fetch_row($res)){
+				$res = $dbi->prepare("$sql");
+				$res->execute();
+				while (list($id,$num,$descrizione,$voti)  = $res->fetch(PDO::FETCH_NUM)){
 					// funz per il taglio corretto della frase 13 feb 2007
 					$descrizione=substr($descrizione,0,20);
@@ -366,7 +378,9 @@
 	if($pos=="dx") $p=0; elseif($pos=="sx")$p=1;else $p='';
 	
-	$resblk = mysql_query("SELECT * FROM ".$prefix."_ele_widget where pos_or='$p' and attivo='1' order by pos_ver asc", $dbi);
-	if($resblk){
-		while ($row = mysql_fetch_array($resblk)) {
+	$sql="SELECT * FROM ".$prefix."_ele_widget where pos_or='$p' and attivo='1' order by pos_ver asc";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	if($res->rowCount()){
+		while ($row = $res->fetch(PDO::FETCH_BOTH)) {
 		$nome=$row['nome_file'];
 		include ("modules/Elezioni/blocchi/$nome");
@@ -380,6 +394,8 @@
 if($pos=="dx") $p=0; elseif($pos=="sx")$p=1;else $p='';
 	
-	$reschk = mysql_query("SELECT * FROM ".$prefix."_ele_widget where pos_or='$p' and attivo='1' order by pos_ver asc", $dbi);
-	if ($reschk) $numero=mysql_num_rows($reschk);else $numero=0;	
+	$sql="SELECT * FROM ".$prefix."_ele_widget where pos_or='$p' and attivo='1' order by pos_ver asc";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	if ($res) $numero=$res->rowCount();else $numero=0;	
 
 		return 	$numero;
@@ -436,6 +452,8 @@
 	}else{
 
-		$res = mysql_query("SELECT simbolo,stemma FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ", $dbi);
-		list($simbolo,$stemma) = mysql_fetch_row($res);
+		$sql="SELECT simbolo,stemma FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+		list($simbolo,$stemma) = $res->fetch(PDO::FETCH_NUM);
 		if($simbolo!=''){
 			if (!file_exists("modules/Elezioni/images/$simbolo")) {
@@ -461,8 +479,10 @@
 global $prefix,$dbi,$id_cons,$limite,$fascia,$ops;
 	#voti di lista e di gruppo completamente disgiunti 
-	$result = mysql_query("select infdisgiunto, supdisgiunto from ".$prefix."_ele_conf as t2 left join ".$prefix."_ele_cons_comune as t1 on t1.id_conf=t2.id_conf where id_cons = '$id_cons' ", $dbi);
+	$sql="select infdisgiunto, supdisgiunto from ".$prefix."_ele_conf as t2 left join ".$prefix."_ele_cons_comune as t1 on t1.id_conf=t2.id_conf where id_cons = '$id_cons' ";
+	$result = $dbi->prepare("$sql");
+	$result->execute();
 	$glsep='';
 	if ($result) {
-		list($infdis,$supdis)=mysql_fetch_row($result);
+		list($infdis,$supdis)=$result->fetch(PDO::FETCH_NUM);
 		if((($fascia>$limite and $supdis) or ($fascia<$limite and $infdis)) and $ops==3) 
 			$glsep='_lista';
